Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration
Class ConfigurationHandlers

    java.lang.Object
      org.apache.torque.generator.configuration.ConfigurationHandlers

    public class ConfigurationHandlers

extends Object

Contains the required handlers for reading the configuration. $Id: ConfigurationHandlers.java 1401885 2012-10-24 21:13:09Z tfischer $

Constructor Summary
`ConfigurationHandlers()` Standard constructor.

Method Summary
`ActionSaxHandlerFactories` | `getActionSaxHandlerFactories()` Returns the known mergepoint action handlers.
`OptionsSaxHandlerFactories` | `getOptionsSaxHandlerFactories()` Returns the known options handlers.
`OutletTypes` | `getOutletTypes()` Returns the known outlet types.
`Map<String,OutputType>` | `getOutputTypes()` Returns the known output types.
`SourceSaxHandlerFactories` | `getSourceSaxHandlerFactories()` Returns the known source configuration handlers.
`Set<StreamSourceFormat>` | `getStreamSourceFormats()` Returns the known formats of stream (e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationHandlers

    public ConfigurationHandlers()

  Standard constructor.

Method Detail

### getOutletTypes

    public OutletTypes getOutletTypes()

  Returns the known outlet types.

  Returns:
    the known outlet types, not null.

### getOutputTypes

    public Map<String,OutputType> getOutputTypes()

  Returns the known output types.

  Returns:
    the known outlet types, not null.

### getSourceSaxHandlerFactories

    public SourceSaxHandlerFactories getSourceSaxHandlerFactories()

  Returns the known source configuration handlers.

  Returns:
    the known source configuration handlers, not mull.

### getStreamSourceFormats

    public Set<StreamSourceFormat> getStreamSourceFormats()

  Returns the known formats of stream (e.g. file) sources.

  Returns:
    the known stream source formats, not null.

### getActionSaxHandlerFactories

    public ActionSaxHandlerFactories getActionSaxHandlerFactories()

  Returns the known mergepoint action handlers.

  Returns:
    the known mergepoint action handlers, not null.

### getOptionsSaxHandlerFactories

    public OptionsSaxHandlerFactories getOptionsSaxHandlerFactories()

  Returns the known options handlers.

  Returns:
    the known options handlers, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.